net.sf.okapi.common.resource

## Class PipelineParameters

- java.lang.Object
- - net.sf.okapi.common.resource.PipelineParameters

- All Implemented Interfaces:
    IResource, IWithAnnotations

      public class PipelineParameters
      extends java.lang.Object
      implements IResource, IWithAnnotations

  Special resource used to carry runtime parameters.

- - ### Field Summary

    - ### Fields inherited from interface net.sf.okapi.common.IResource

      `COPY_ALL, COPY_CONTENT, COPY_PROPERTIES, COPY_SEGMENTATION, COPY_SEGMENTED_CONTENT, CREATE_EMPTY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PipelineParameters()` Creates a new empty ParametersEvent object.
    `PipelineParameters(StartDocument startDoc, RawDocument inputDoc, RawDocument secondDoc, RawDocument thirdDoc)` Creates a ParametersEvent object with most majority of defaults initialized

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<A extends IAnnotation> A` | `getAnnotation(java.lang.Class<A> annotationType)` Gets the annotation object for a given class for this resource.
    `java.lang.Iterable<IAnnotation>` | `getAnnotations()` Gets the iterable list of the annotations for this resource.
    `int` | `getBatchInputCount()`
    `ExecutionContext` | `getExecutionContext()`
    `java.lang.String` | `getFilterConfigurationId()`
    `IFilterConfigurationMapper` | `getFilterConfigurationMapper()`
    `java.lang.String` | `getId()` Gets the identifier of the resource.
    `RawDocument` | `getInputRawDocument()`
    `java.lang.String` | `getInputRootDirectory()`
    `java.net.URI` | `getInputURI()`
    `java.lang.String` | `getOutputEncoding()`
    `java.net.URI` | `getOutputURI()`
    `java.lang.String` | `getRootDirectory()`
    `RawDocument` | `getSecondInputRawDocument()`
    `ISkeleton` | `getSkeleton()` Gets the skeleton object for this resource.
    `LocaleId` | `getSourceLocale()`
    `LocaleId` | `getTargetLocale()`
    `java.util.List<LocaleId>` | `getTargetLocales()`
    `RawDocument` | `getThirdInputRawDocument()`
    `java.lang.Object` | `getUIParent()`
    `void` | `setAnnotation(IAnnotation annotation)` Sets an annotation object for this resource.
    `void` | `setBatchInputCount(int batchInputCount)`
    `void` | `setExecutionContext(ExecutionContext context)`
    `void` | `setFilterConfigurationId(java.lang.String filterConfigId)`
    `void` | `setFilterConfigurationMapper(IFilterConfigurationMapper fcMapper)`
    `void` | `setId(java.lang.String id)` Sets the identifier of this resource.
    `void` | `setInputRawDocument(RawDocument inputRawDocument)`
    `void` | `setInputRootDirectory(java.lang.String inputRootDirectory)`
    `void` | `setInputURI(java.net.URI inputURI)`
    `void` | `setOutputEncoding(java.lang.String outputEncoding)`
    `void` | `setOutputURI(java.net.URI outputURI)`
    `void` | `setRootDirectory(java.lang.String rootDirectory)`
    `void` | `setSecondInputRawDocument(RawDocument secondInputRawDocument)`
    `void` | `setSkeleton(ISkeleton skeleton)` Sets the skeleton object for this resource.
    `void` | `setSourceLocale(LocaleId sourceLocale)`
    `void` | `setTargetLocale(LocaleId targetLocale)`
    `void` | `setTargetLocales(java.util.List<LocaleId> trgLocs)`
    `void` | `setThirdInputRawDocument(RawDocument thirdInputRawDocument)`
    `void` | `setUIParent(java.lang.Object uiParent)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PipelineParameters

          public PipelineParameters()

      Creates a new empty ParametersEvent object.

    - #### PipelineParameters

          public PipelineParameters(StartDocument startDoc,
                                    RawDocument inputDoc,
                                    RawDocument secondDoc,
                                    RawDocument thirdDoc)

      Creates a ParametersEvent object with most majority of defaults initialized
      Parameters:
        `startDoc` - - current `StartDocument`
        `inputDoc` - - input `RawDocument`
        `secondDoc` - - optional second input `RawDocument`
        `thirdDoc` - - optional third input `RawDocument`

  - ### Method Detail

    - #### getAnnotation

          public <A extends IAnnotation> A getAnnotation(java.lang.Class<A> annotationType)

      Description copied from interface: `IWithAnnotations`
      Gets the annotation object for a given class for this resource.
      Specified by:
        `getAnnotation` in interface `IWithAnnotations`
      Type Parameters:
        `A` - the type of the class.
      Parameters:
        `annotationType` - the class of the annotation object to retrieve.
      Returns:
        the annotation for the given class for this resource.

    - #### getId

          public java.lang.String getId()

      Description copied from interface: `IResource`
      Gets the identifier of the resource. This identifier is unique per extracted document and by type of resource. This value is filter-specific. It and may be different from one extraction of the same document to the next. It can a sequential number or not, incremental or not, and it can be not a number. It has no correspondence in the source document ("IDs" coming from the source document are "names" and not available for all resources).
      Specified by:
        `getId` in interface `IResource`
      Returns:
        the identifier of this resource.

    - #### getSkeleton

          public ISkeleton getSkeleton()

      Description copied from interface: `IResource`
      Gets the skeleton object for this resource.
      Specified by:
        `getSkeleton` in interface `IResource`
      Returns:
        the skeleton object for this resource or null if there is none.

    - #### setAnnotation

          public void setAnnotation(IAnnotation annotation)

      Description copied from interface: `IWithAnnotations`
      Sets an annotation object for this resource.
      Specified by:
        `setAnnotation` in interface `IWithAnnotations`
      Parameters:
        `annotation` - the annotation object to set.

    - #### setId

          public void setId(java.lang.String id)

      Description copied from interface: `IResource`
      Sets the identifier of this resource.
      Specified by:
        `setId` in interface `IResource`
      Parameters:
        `id` - the new identifier value.
      See Also:
        `IResource.getId()`

    - #### setSkeleton

          public void setSkeleton(ISkeleton skeleton)

      Description copied from interface: `IResource`
      Sets the skeleton object for this resource.
      Specified by:
        `setSkeleton` in interface `IResource`
      Parameters:
        `skeleton` - the skeleton object to set.

    - #### getAnnotations

          public java.lang.Iterable<IAnnotation> getAnnotations()

      Description copied from interface: `IWithAnnotations`
      Gets the iterable list of the annotations for this resource.
      Specified by:
        `getAnnotations` in interface `IWithAnnotations`
      Returns:
        the iterable list of the annotations for this resource.

    - #### setOutputURI

          public void setOutputURI(java.net.URI outputURI)

    - #### getOutputURI

          public java.net.URI getOutputURI()

    - #### setTargetLocale

          public void setTargetLocale(LocaleId targetLocale)

    - #### getTargetLocale

          public LocaleId getTargetLocale()

    - #### setTargetLocales

          public void setTargetLocales(java.util.List<LocaleId> trgLocs)

    - #### getTargetLocales

          public java.util.List<LocaleId> getTargetLocales()

    - #### setSourceLocale

          public void setSourceLocale(LocaleId sourceLocale)

    - #### getSourceLocale

          public LocaleId getSourceLocale()

    - #### setOutputEncoding

          public void setOutputEncoding(java.lang.String outputEncoding)

    - #### getOutputEncoding

          public java.lang.String getOutputEncoding()

    - #### setInputURI

          public void setInputURI(java.net.URI inputURI)

    - #### getInputURI

          public java.net.URI getInputURI()

    - #### setFilterConfigurationId

          public void setFilterConfigurationId(java.lang.String filterConfigId)

    - #### getFilterConfigurationId

          public java.lang.String getFilterConfigurationId()

    - #### setFilterConfigurationMapper

          public void setFilterConfigurationMapper(IFilterConfigurationMapper fcMapper)

    - #### getFilterConfigurationMapper

          public IFilterConfigurationMapper getFilterConfigurationMapper()

    - #### setInputRawDocument

          public void setInputRawDocument(RawDocument inputRawDocument)

    - #### getInputRawDocument

          public RawDocument getInputRawDocument()

    - #### setSecondInputRawDocument

          public void setSecondInputRawDocument(RawDocument secondInputRawDocument)

    - #### getSecondInputRawDocument

          public RawDocument getSecondInputRawDocument()

    - #### setThirdInputRawDocument

          public void setThirdInputRawDocument(RawDocument thirdInputRawDocument)

    - #### getThirdInputRawDocument

          public RawDocument getThirdInputRawDocument()

    - #### setRootDirectory

          public void setRootDirectory(java.lang.String rootDirectory)

    - #### getRootDirectory

          public java.lang.String getRootDirectory()

    - #### setInputRootDirectory

          public void setInputRootDirectory(java.lang.String inputRootDirectory)

    - #### getInputRootDirectory

          public java.lang.String getInputRootDirectory()

    - #### setUIParent

          public void setUIParent(java.lang.Object uiParent)

    - #### getUIParent

          public java.lang.Object getUIParent()

    - #### setExecutionContext

          public void setExecutionContext(ExecutionContext context)

    - #### getExecutionContext

          public ExecutionContext getExecutionContext()

    - #### setBatchInputCount

          public void setBatchInputCount(int batchInputCount)

    - #### getBatchInputCount

          public int getBatchInputCount()